# x_monitor_flutter

### 安装

```
dependencies:
  x_monitor_flutter: ^0.1.0
```
#### 使用

```
import 'package:x-monitor-flutter/x_monitor_flutter.dart';
# 入口

void main() {
  XMonitorFlutter appXMonitorFlutter = XMonitorFlutter();
  // 配置基础信息
  appXMonitorFlutter.setConfig({
    'key': 'xxx',// 应用唯一key （必填 ）
    'url':'' // 指定错误上报地址 （必填 ）
    'performanceUrl':'',// 性能数据上报地址（可选 ）
    'userId':'',// 生成guid规则（可选 ）
    'guid':''// userId（可选 ）
  });
  // 获取gps 以及 flutterSDK 基础版本库
  appXMonitorFlutter.setReportSystemOption(locationInfo: {'latitude': 10, 'longitude': 10},frameVersion: '0.1.5');

  return appXMonitorFlutter.catchRun((){
    runApp(MyApp());
  });
}

```
### 参数 config
```
Map config = {
    'version': '1.0.0',
    'setSystemInfo': true,
    'setLocation': true,
    'userInfo': {},
    'location': [],
    'key': 'flutter_monitor0401',
    'mergeSize':5,// 合并尺寸
    'mergeReport': true, // mergeReport 是否合并上报， false 关闭， true 启动（默认）
    'delay': 1000, // 当 mergeReport 为 true 可用，延迟多少毫秒，合并缓冲区中的上报（默认）
    'url': 'https://flog.xsyxsc.com/r', // 指定错误上报地址 https http://172.16.11.107/phpCode/testApi/collectionError.php
    'performanceUrl': '', // 性能数据上报地址
    'except': [], // 忽略某个错误
    'userRandom':1,// 抽样用户采集率 1~0 之间数值，1为100%采样所有用户
    'random': 1, // 单个用户错误抽样上报抽样率，1~0 之间数值，1为100%上报（默认 1）
    'repeat': 5, // 重复上报次数(对于同一个错误超过多少次不上报)
    'extra':{}, // 额外请求参数

    'errorType':'error',// log error warn info
    'errorLevel':0,
    'guid':'',// 用户会话唯一标识
    'userId':'', // 用户唯一标识
    'contentType':'application/x-www-form-urlencoded' // application/json;charset=utf-8 application/x-www-form-urlencoded
  };
```